Delete workflow
curl --request DELETE \
--url https://api.hubapi.com/automation/2026-09-beta/flows/{flowId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Workflows
Delete workflow
Delete an existing automation flow in your HubSpot account using the specified flow ID. This operation will permanently remove the flow and cannot be undone. Use this endpoint to manage and clean up automation flows that are no longer needed.
DELETE
/
automation
/
2026-09-beta
/
flows
/
{flowId}
Delete workflow
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2private_apps
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
The unique identifier of the flow to delete. This is required to specify which flow should be removed.
Respuesta
Última modificación el 3 de abril de 2026
⌘I